Create Privacy Request
curl --request POST \
--url https://api.veridical.dev/api/v1/privacy/requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_type": "<string>",
"scope": [
"<string>"
],
"subject_id": "<string>",
"subject_provider": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"intake_ref": "<string>"
}
'import requests
url = "https://api.veridical.dev/api/v1/privacy/requests"
payload = {
"request_type": "<string>",
"scope": ["<string>"],
"subject_id": "<string>",
"subject_provider": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"intake_ref": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_type: '<string>',
scope: ['<string>'],
subject_id: '<string>',
subject_provider: '<string>',
workspace_id: '<string>',
client_request_id: '<string>',
intake_ref: '<string>'
})
};
fetch('https://api.veridical.dev/api/v1/privacy/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}control
Create Privacy Request
POST
/
api
/
v1
/
privacy
/
requests
Create Privacy Request
curl --request POST \
--url https://api.veridical.dev/api/v1/privacy/requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_type": "<string>",
"scope": [
"<string>"
],
"subject_id": "<string>",
"subject_provider": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"intake_ref": "<string>"
}
'import requests
url = "https://api.veridical.dev/api/v1/privacy/requests"
payload = {
"request_type": "<string>",
"scope": ["<string>"],
"subject_id": "<string>",
"subject_provider": "<string>",
"workspace_id": "<string>",
"client_request_id": "<string>",
"intake_ref": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_type: '<string>',
scope: ['<string>'],
subject_id: '<string>',
subject_provider: '<string>',
workspace_id: '<string>',
client_request_id: '<string>',
intake_ref: '<string>'
})
};
fetch('https://api.veridical.dev/api/v1/privacy/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
8 - 200Body
application/json
Pattern:
^(access|export|correction|deletion)$Required array length:
1 - 20 elementsRequired string length:
1 - 300Required string length:
1 - 100Required string length:
1 - 200Required string length:
8 - 200Required string length:
1 - 1100Response
Successful Response
The response is of type Response Create Privacy Request Api V1 Privacy Requests Post · object.
Last modified on July 28, 2026
⌘I

